# Manuale utente di &kde;

Stephan
Kulow

    coolo@kde.org

2007-09-28
Ambiente desktop K
kde4-config
1

# `kde4-config`

Stampa i percorsi di installazione di &kde;

    kde4-config --expandvars --prefix --exec-prefix --libsuffix --localprefix --version --types --path tipo --userpath tipo --install tipo

## Descrizione

kde4-config è un programma da riga di comando usato per scoprire le informazioni sui percorsi di installazione o dell'utente.

Usa questo programma per determinare dove risiedono i diversi aspetti di &kde; nel sistema.

## Opzioni

`--expandvars`

  espande ${prefix} e ${exec_prefix} sull'output

`--prefix`

  Prefisso compilato nelle librerie di &kde;

`--exec-prefix`

  Prefisso per gli eseguibili compilato nelle librerie di &kde;

`--libsuffix`

  Suffisso del percorso per le librerie compilato nei programmi

`--localprefix`

  Prefisso in $`HOME` usato per scrivere i file

`--version`

  Stringa di versione compilata nelle librerie di &kde;

`--types`

  Stampa un elenco di tutti i tipi di risorse di &kde;

`--path tipo`

  Percorso di ricerca per il tipo specificato

`--userpath tipo`

  Percorsi utente per i tipi: desktop|autostart|trash|document

`--install tipo`

  Prefisso dove installare i file di risorsa

## Esempi

Stampa la directory di installazione di primo livello di &kde;:

&percnt;``kde4-config --prefix``

Stampa un elenco di tutti i tipi di risorsa:

&percnt;``kde4-config --types``

Stampa il percorso degli sfondi installati:

&percnt;``kde4-config --path wallpaper``

## Vedi anche

kdeoptions(7)

## Bug

Nessun bug noto.